Skip Menu |
 

This queue is for tickets about the Net-SSLeay CPAN distribution.

Report information
The Basics
Id: 126986
Status: resolved
Priority: 0/
Queue: Net-SSLeay

People
Owner: RADIATOR [...] cpan.org
Requestors: dam [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: 1.86_06

Attachments


From: dam [...] cpan.org
Subject: [PATCH] add get/set_security_level() routines
Download (untitled) / with headers
text/plain 694b
In Debian we are currently applying the following patch to Net-SSLeay. We thought you might be interested in it too. Description: add set_security_level() routines This patch adds SSL_[CTX_](set|get)_security_level() routines . They are needed at least by the tests that use certificates with 1024-bit keys in environments with openssl with default security level of 2, which requires at least 2048-bit keys Author: Damyan Ivanov <dmn@debian.org> The patch is tracked in our Git repository at https://salsa.debian.org/perl-team/modules/packages/libnet-ssleay-perl/raw/master/debian/patches/add-security-level-routines.patch Thanks for considering, Damyan Ivanov, Debian Perl Group
Here's the patch.

Message body is not shown because sender requested not to inline it.

Download (untitled) / with headers
text/plain 668b
On Wed Aug 29 21:05:06 2018, DAM wrote: Show quoted text
> In Debian we are currently applying the following patch to > Net-SSLeay. > We thought you might be interested in it too. > > Description: add set_security_level() routines > This patch adds SSL_[CTX_](set|get)_security_level() routines > . > They are needed at least by the tests that use certificates with > 1024-bit keys > in environments with openssl with default security level of 2, which > requires > at least 2048-bit keys
Thanks, Damyan --- I think this patch implements what we were looking for in https://github.com/radiator-software/p5-net-ssleay/issues/37. I'll check with Heikki, and if so, we'll apply it.
Download (untitled) / with headers
text/plain 570b
On Wed 29.elokuu 2018 16:33:09, CHRISN wrote: Show quoted text
> Thanks, Damyan --- I think this patch implements what we were looking > for in https://github.com/radiator-software/p5-net-ssleay/issues/37. > I'll check with Heikki, and if so, we'll apply it.
Looks good to me too. There's a branch in github that has the patch applied. The only functional change I did was to add check for LibreSSL since it does not implement these functions. I also updated the pod changes a little and fixed some wordings (context -> level) in the new test file. I'll merge it to github master soon.
Download (untitled) / with headers
text/plain 417b
On pe 31.elokuu 2018 08:41:36, RADIATOR wrote: Show quoted text
> Looks good to me too. There's a branch in github that has the patch > applied. The only functional change I did was to add check for > LibreSSL since it does not implement these functions. I also updated > the pod changes a little and fixed some wordings (context -> level) in > the new test file. I'll merge it to github master soon.
Now merged to master in github.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.